| OpenCV 3.4.1 Open Source Computer Vision

Public Attributes | List of all members
cv::face::FacemarkAAM::Model::Texture Struct Reference

`#include "facemarkAAM.hpp"`

## Public Attributes
Mat | A
| gray values from all face region in the dataset, projected in PCA space More...
Mat | A0
| average of gray values from all face region in the dataset More...
Mat | AA
| gray values from all erorded face region in the dataset, projected in PCA space More...
Mat | AA0
| average of gray values from all erorded face region in the dataset More...
std::vector< Point2f > | base_shape
| basic shape, normalized to be fit in an image with current detection resolution More...
std::vector< int > | ind1
| index of pixels for mapping process to obtains the grays values of face region More...
std::vector< int > | ind2
| index of pixels for mapping process to obtains the grays values of eroded face region More...
int | max_m
| unused delete More...
Rect | resolution
| resolution of the current scale More...
std::vector< std::vector< Point > > | textureIdx
| index for warping of each delaunay triangle region constructed by 3 facemarks More...

## Member Data Documentation

## § A

Mat cv::face::FacemarkAAM::Model::Texture::A

gray values from all face region in the dataset, projected in PCA space

## § A0

Mat cv::face::FacemarkAAM::Model::Texture::A0

average of gray values from all face region in the dataset

## § AA

Mat cv::face::FacemarkAAM::Model::Texture::AA

gray values from all erorded face region in the dataset, projected in PCA space

## § AA0

Mat cv::face::FacemarkAAM::Model::Texture::AA0

average of gray values from all erorded face region in the dataset

## § base_shape

std::vector<Point2f> cv::face::FacemarkAAM::Model::Texture::base_shape

basic shape, normalized to be fit in an image with current detection resolution

## § ind1

std::vector<int> cv::face::FacemarkAAM::Model::Texture::ind1

index of pixels for mapping process to obtains the grays values of face region

## § ind2

std::vector<int> cv::face::FacemarkAAM::Model::Texture::ind2

index of pixels for mapping process to obtains the grays values of eroded face region

## § max_m

int cv::face::FacemarkAAM::Model::Texture::max_m

unused delete

## § resolution

Rect cv::face::FacemarkAAM::Model::Texture::resolution

resolution of the current scale

## § textureIdx

std::vector<std::vector<Point> > cv::face::FacemarkAAM::Model::Texture::textureIdx

index for warping of each delaunay triangle region constructed by 3 facemarks

The documentation for this struct was generated from the following file:

- /build/master-contrib_docs-lin64/opencv_contrib/modules/face/include/opencv2/face/facemarkAAM.hpp